/*
 * This file is a part of KEMET project (Library).
 * 
 * Copyright (C) 2008 MAUPIN Fabrice
 *
 * This library is free software; 
 * you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License 
 * as published by the Free Software Foundation; 
 * either version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with this library; 
 * if not, write to the Free Software Foundation, 
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
 */
package org.kemet.enum_;

/**
 * @author fabricemaupin
 * 
 * <p>
 * <b>Enumeration of cadrat types.</b>
 * </p>
 * 
 * @since 0.1
 */
public enum ECadratType {
	full(0), upHalf(1), downHalf(2), leftquarter(3), rightquarter(4);

	/**
	 * <p>
	 * <b>value of enumeration.</b>
	 * </p>
	 */
	private final int value;

	/**
	 * <p>
	 * <b>fix the value of enumeration.</b>
	 * </p>
	 * 
	 * @param value
	 *            value of enumeration
	 * 
	 * @since 0.1
	 */
	private ECadratType(int value) {
		this.value = value;
	}

	/**
	 * 
	 * <p>
	 * <b>return the value.</b>
	 * </p>
	 * 
	 * @return value
	 * 
	 * @since 0.1
	 */
	public int getValue() {
		return this.value;
	}
}
